Bug 885409 - (mate-applets) Review Request: mate-applets - MATE Desktop panel applets
Review Request: mate-applets - MATE Desktop panel applets
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
: 902032 (view as bug list)
Depends On: MATE-DE-tracker
Blocks: 876050
  Show dependency treegraph
 
Reported: 2012-12-09 01:42 EST by Dan Mashal
Modified: 2013-03-25 12:40 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-04 17:23:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Error message as seen in the terminal\ (2.50 KB, text/plain)
2013-01-19 16:16 EST, Matthew Gardner
no flags Details
stderr (1.74 KB, text/plain)
2013-01-19 16:18 EST, Matthew Gardner
no flags Details

  None (edit)
Description Dan Mashal 2012-12-09 01:42:45 EST
Spec URL: http://vicodan.fedorapeople.org/matespec/mate-applets.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-applets-1.5.0-1.fc18.src.rpm
Description: MATE Desktop panel applets.
Comment 1 Matthew Gardner 2013-01-19 16:15:31 EST
Forgive my naivety, but how do you install the rpm from that file?  I tried running the following, and it gave me an error:

sudo rpm -ivv mate-applets-1.5.0-1.fc18.src.rpm

I'll put a couple of logs from this as an attachment, in case it's helpful.
Comment 2 Matthew Gardner 2013-01-19 16:16:51 EST
Created attachment 683259 [details]
Error message as seen in the terminal\

This is what I see in the terminal after running rpm -ivv on the package.
Comment 3 Matthew Gardner 2013-01-19 16:18:40 EST
Created attachment 683260 [details]
stderr

And if I redirect stderr to a file, this is what I see - it does give an error, but some of the other output is missing, so I'm not sure what exactly the error is.
Comment 4 Dan Mashal 2013-01-23 05:28:28 EST
*** Bug 902032 has been marked as a duplicate of this bug. ***
Comment 5 Dan Mashal 2013-01-25 17:09:43 EST
Updated:

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-applets.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-applets-1.5.1-1.fc18.src.rpm
Description: MATE Desktop panel applets.
Comment 6 leigh scott 2013-01-26 07:29:31 EST
Please remove this as this package has no libs

find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'


Also please consider splitting package into separate applet subpackages.
Comment 7 Dan Mashal 2013-01-30 21:12:29 EST
Would rather not split the package at this time. Will remove those commands from the spec after import. Please let me know if there are any other issues
Comment 8 leigh scott 2013-01-31 10:52:44 EST
(In reply to comment #7)
> Would rather not split the package at this time. 

Ok.

> Will remove those commands
> from the spec after import. 


Ok.

Please let me know if there are any other issues

Your dist tag is wrong please fix that as well.

[!]: Dist tag is present.

It should be %{?dist} (you missed the ?)
Comment 9 leigh scott 2013-01-31 11:01:09 EST
Also your build requires are bloated, why do you need BuildRequires: gtk2-devel when BuildRequires: pygtk2-devel drags it in.

repoquery --requires pygtk2-devel
/usr/bin/pkg-config
pkgconfig
pkgconfig(gtk+-2.0)
pkgconfig(pygobject-2.0)
pycairo-devel
pygobject2-devel
pygtk2 = 2.24.0-5.fc18
pygtk2-codegen = 2.24.0-5.fc18
pygtk2-doc = 2.24.0-5.fc18
/usr/bin/pkg-config
pkgconfig
pkgconfig(gtk+-2.0)
pkgconfig(pygobject-2.0)
pycairo-devel
pygobject2-devel
pygtk2 = 2.24.0-5.fc18
pygtk2-codegen = 2.24.0-5.fc18
pygtk2-doc = 2.24.0-5.fc18


Please remove BuildRequires: gtk2-devel
Comment 10 Rex Dieter 2013-02-09 16:07:16 EST
naming: ok

sources: ok
0d903468bb288c3c05030c36fa5a25c8  mate-applets-1.5.1.tar.xz

build: ok (mostly)
1.  SHOULD fix
configure: WARNING: unrecognized options: --disable-timers-applet
maybe you meant, --disable-timer-applet ?

license: not ok
2.  MUST fix License tag, checked with licencecheck, found all sources to be
GPL (v2 or later), so please use
License: GPLv2+

macros: ok

scriptlets: ok

build: not sure.  tried local build, got a bunch of unpackaged files wrt mateweather and multiload applets.  submitted scratch build to confirm:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4942825
4942825 build (f19, mate-applets-1.5.1-1.fc18.src.rpm) completed successfully

ok, probably just a matter of some missing buildrequires for those extra applets, I'll leave it to you to decide if you want to include/package those or not.

Meh, only one real blocker found, but largely cosmetic, so I'll leave it to you to fix prior to doing any official builds.


APPROVED
Comment 11 Dan Mashal 2013-02-10 18:04:06 EST
New Package SCM Request
=======================
Package Name: mate-applets
Short Description: MATE Desktop panel applets.
Owners: vicodan rdieter
Branches: f16 f17 f18
Comment 12 Kevin Fenzi 2013-02-10 23:48:37 EST
Git done (by process-git-requests).

(except the f16 branch, we aren't doing those since f18 release)
Comment 13 Fedora Update System 2013-02-11 05:35:09 EST
mate-applets-1.5.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-applets-1.5.1-4.fc18
Comment 14 Fedora Update System 2013-02-11 06:14:28 EST
mate-applets-1.5.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-applets-1.5.1-4.fc17
Comment 15 jonathan baron 2013-02-11 07:30:25 EST
I tried to install this using "yum localinstall" and got the following errors. It is possible that my situation is a common one. I am using Gnome now, but when I upgrade to Fedora 18, I will have to use Mate (because, so far as I can tell, I will not be able to use 8 workspaces in Gnome, and this is how I have worked for the last 15 years - workspaces help me remember what is where). If one is switching from Gnome to Mate, then, for a while, one will need both. I suppose I could uninstall the Gnome applets - the only one I use is multiload - but this seems risky.

Transaction Check Error:
  file /usr/libexec/accessx-status-applet from install of mate-applets-1.5.1-4.fc17.x86_64 conflicts with file from package gnome-applets-1:3.4.1-1.fc17.x86_64
  file /usr/libexec/charpick_applet2 from install of mate-applets-1.5.1-4.fc17.x86_64 conflicts with file from package gnome-applets-1:3.4.1-1.fc17.x86_64
  file /usr/libexec/drivemount_applet2 from install of mate-applets-1.5.1-4.fc17.x86_64 conflicts with file from package gnome-applets-1:3.4.1-1.fc17.x86_64
  file /usr/libexec/geyes_applet2 from install of mate-applets-1.5.1-4.fc17.x86_64 conflicts with file from package gnome-applets-1:3.4.1-1.fc17.x86_64
  file /usr/libexec/invest-applet from install of mate-applets-1.5.1-4.fc17.x86_64 conflicts with file from package gnome-applets-1:3.4.1-1.fc17.x86_64
  file /usr/libexec/multiload-applet-2 from install of mate-applets-1.5.1-4.fc17.x86_64 conflicts with file from package gnome-applets-1:3.4.1-1.fc17.x86_64
  file /usr/libexec/trashapplet from install of mate-applets-1.5.1-4.fc17.x86_64 conflicts with file from package gnome-applets-1:3.4.1-1.fc17.x86_64
Comment 16 Rex Dieter 2013-02-11 11:45:44 EST
Oh, fun. :-/

those conflicting items will need to be rectified somehow, probably just rename them (add a mate prefix or postfix to the filenames)
Comment 17 Dan Mashal 2013-02-11 19:11:00 EST
Oh yay, unpushing.
Comment 18 Fedora Update System 2013-02-23 04:33:35 EST
mate-applets-1.5.1-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-applets-1.5.1-5.fc18
Comment 19 Fedora Update System 2013-02-23 04:33:48 EST
mate-applets-1.5.1-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-applets-1.5.1-5.fc17
Comment 20 Fedora Update System 2013-02-24 03:33:42 EST
mate-applets-1.5.1-5.fc18 has been pushed to the Fedora 18 testing repository.
Comment 21 Fedora Update System 2013-03-04 17:23:06 EST
mate-applets-1.5.1-5.fc17 has been pushed to the Fedora 17 stable repository.
Comment 22 Fedora Update System 2013-03-04 17:30:34 EST
mate-applets-1.5.1-5.fc18 has been pushed to the Fedora 18 stable repository.
Comment 23 jonathan baron 2013-03-25 12:40:51 EDT
I know this bug is closed, but I still cannot test these applets, particularly multiload (the only one I want). I cannot figure out how to add them to the panel. The "add to panel" dialog does not list them. I have tried all sorts of other things using "custom applet", but nothing works. Perhaps this is a bug in a different component, but I'm not sure how the system works. (It is not easy to figure out from looking at the files.)

Note You need to log in before you can comment on or make changes to this bug.